com.sun.java.xml.ns.javaee

## Class ResourceEnvRefType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.ResourceEnvRefType

-     public class ResourceEnvRefType
      extends Object

  [ The resource-env-refType is used to define resource-env-ref elements. It contains a declaration of a Deployment Component's reference to an administered object associated with a resource in the Deployment Component's environment. It consists of an optional description, the resource environment reference name, and an optional indication of the resource environment reference type expected by the Deployment Component code. It also includes optional elements to define injection of the named resource into fields or JavaBeans properties. The resource environment type must be supplied unless an injection target is specified, in which case the type of the target is used. If both are specified, the type must be assignment compatible with the type of the injection target. Example: jms/StockQueue javax.jms.Queue

  Java-Klasse für resource-env-refType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="resource-env-refType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="description" type="{http://java.sun.com/xml/ns/javaee}descriptionType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="resource-env-ref-name" type="{http://java.sun.com/xml/ns/javaee}jndi-nameType"/>
               <element name="resource-env-ref-type" type="{http://java.sun.com/xml/ns/javaee}fully-qualified-classType" minOccurs="0"/>
               <group ref="{http://java.sun.com/xml/ns/javaee}resourceGroup"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<DescriptionType>` | `description`
    `protected String` | `id`
    `protected List<InjectionTargetType>` | `injectionTarget`
    `protected XsdStringType` | `lookupName`
    `protected XsdStringType` | `mappedName`
    `protected JndiNameType` | `resourceEnvRefName`
    `protected FullyQualifiedClassType` | `resourceEnvRefType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceEnvRefType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `List<InjectionTargetType>` | `getInjectionTarget()` Gets the value of the injectionTarget property.
    `XsdStringType` | `getLookupName()` Ruft den Wert der lookupName-Eigenschaft ab.
    `XsdStringType` | `getMappedName()` Ruft den Wert der mappedName-Eigenschaft ab.
    `JndiNameType` | `getResourceEnvRefName()` Ruft den Wert der resourceEnvRefName-Eigenschaft ab.
    `FullyQualifiedClassType` | `getResourceEnvRefType()` Ruft den Wert der resourceEnvRefType-Eigenschaft ab.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setLookupName(XsdStringType value)` Legt den Wert der lookupName-Eigenschaft fest.
    `void` | `setMappedName(XsdStringType value)` Legt den Wert der mappedName-Eigenschaft fest.
    `void` | `setResourceEnvRefName(JndiNameType value)` Legt den Wert der resourceEnvRefName-Eigenschaft fest.
    `void` | `setResourceEnvRefType(FullyQualifiedClassType value)` Legt den Wert der resourceEnvRefType-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected List<DescriptionType> description

    - #### resourceEnvRefName

          protected JndiNameType resourceEnvRefName

    - #### resourceEnvRefType

          protected FullyQualifiedClassType resourceEnvRefType

    - #### mappedName

          protected XsdStringType mappedName

    - #### injectionTarget

          protected List<InjectionTargetType> injectionTarget

    - #### lookupName

          protected XsdStringType lookupName

    - #### id

          protected String id

  - ### Constructor Detail

    - #### ResourceEnvRefType

          public ResourceEnvRefType()

  - ### Method Detail

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getResourceEnvRefName

          public JndiNameType getResourceEnvRefName()

      Ruft den Wert der resourceEnvRefName-Eigenschaft ab.
      Returns:
        possible object is `JndiNameType`

    - #### setResourceEnvRefName

          public void setResourceEnvRefName(JndiNameType value)

      Legt den Wert der resourceEnvRefName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `JndiNameType`

    - #### getResourceEnvRefType

          public FullyQualifiedClassType getResourceEnvRefType()

      Ruft den Wert der resourceEnvRefType-Eigenschaft ab.
      Returns:
        possible object is `FullyQualifiedClassType`

    - #### setResourceEnvRefType

          public void setResourceEnvRefType(FullyQualifiedClassType value)

      Legt den Wert der resourceEnvRefType-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FullyQualifiedClassType`

    - #### getMappedName

          public XsdStringType getMappedName()

      Ruft den Wert der mappedName-Eigenschaft ab.
      Returns:
        possible object is `XsdStringType`

    - #### setMappedName

          public void setMappedName(XsdStringType value)

      Legt den Wert der mappedName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdStringType`

    - #### getInjectionTarget

          public List<InjectionTargetType> getInjectionTarget()

      Gets the value of the injectionTarget property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the injectionTarget property.

      For example, to add a new item, do as follows:

              getInjectionTarget().add(newItem);

      Objects of the following type(s) are allowed in the list `InjectionTargetType`

    - #### getLookupName

          public XsdStringType getLookupName()

      Ruft den Wert der lookupName-Eigenschaft ab.
      Returns:
        possible object is `XsdStringType`

    - #### setLookupName

          public void setLookupName(XsdStringType value)

      Legt den Wert der lookupName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdStringType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.